{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node",
            "request": "launch",
            "name": "Mocha Tests",
            "program": "${workspaceFolder}/node_modules/mocha/bin/_mocha",
            "args": [
              "-t",
              "10000",
              "--require",
              "${workspaceFolder}/node_modules/ts-node/register",
              "--reporter",
              "mocha-multi-reporters",
              "--reporter-options",
              "configFile=reporters.config.json",
              "--colors",
              "${workspaceFolder}/tests/**/*.Tests.ts",
              "--test-env",
              "docker"
            ],
            "internalConsoleOptions": "openOnSessionStart",
            "skipFiles": []
          }
    ]
}